### Method

# WebKit2WebExtension DOMDOMWindow find

#### Declaration [src]

    gboolean
    webkit_dom_dom_window_find (
      WebKitDOMDOMWindow* self,
      const gchar* string,
      gboolean caseSensitive,
      gboolean backwards,
      gboolean wrap,
      gboolean wholeWord,
      gboolean searchInFrames,
      gboolean showDialog
    )

#### Description

No description available.

Available since: | 2.16
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`string` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`caseSensitive` | `gboolean`
| A #gboolean.
`backwards` | `gboolean`
| A #gboolean.
`wrap` | `gboolean`
| A #gboolean.
`wholeWord` | `gboolean`
| A #gboolean.
`searchInFrames` | `gboolean`
| A #gboolean.
`showDialog` | `gboolean`
| A #gboolean.

#### Return value

Returns: | `gboolean`
| A #gboolean.